package com.arms.api.issue.almapi.service;

import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;

import java.util.ArrayList;
import java.util.List;

public class AlmIssueEntityCollection {

    private final List<AlmIssueEntity> almIssueEntities = new ArrayList<>();

    public List<AlmIssueEntity> almIssueEntities() {
        return almIssueEntities;
    }


    public void addEntity(AlmIssueEntity almIssueEntity) {
        if (almIssueEntity != null && almIssueEntity.izNotEmpty()) {
            this.almIssueEntities.add(almIssueEntity);
        }
    }

    public void addEntities(List<AlmIssueEntity> almIssueEntities){
        if (almIssueEntities != null) {
            this.almIssueEntities.addAll(almIssueEntities);
        }
    }

}
